Subject: [E3-hacking] u-boot with NAND support

From: Jonathan McDowell <[email-masked]>
Date: Tue, 21 Mar 2006 23:46:09 +0000

I've finally uploaded my u-boot patch with NAND support. It's at:

http://the.earth.li/pub/e3/2.6.15/u-boot-e3-20060321.diff

with a precompiled image at:

http://the.earth.li/pub/e3/2.6.15/u-boot.bin

It also changes the processor to be the correct 925t rather than 926
based one, but this seems to have slowed down the boot a lot. Also the
NAND support is really slow; for some reason I can't get the support for
the NAND ready bit (on GPIO 12 I believe) to work, though it seems fine
for the kernel.

I haven't had a chance to further look at getting PBL loading u-boot
from NAND, but I hope to play over the weekend.

J.

-- 
                                            jid: [email-masked]
101 things you can't have too much of : 16
                                            - Time.